Name: ca_policy_igtf
Version: 1.25
Release: 1
Source: ca_policy_igtf-1.25.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
AutoReqProv: no

Summary: Trust anchors production-level collection policy for the IGTF
URL: http://www.gridpma.org/
Requires: ca_policy_igtf-classic = 1.25

%prep
%setup -n ca_policy_igtf-1.25

%description
This collection represent the current set of accredited authorities
by the International Grid Trust Federation member PMAs, that meet the 
production qualify Authentication Profiles. This includes the "classic" 
profile.

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/
# clean up files that should not be packaged (experimental/worthless info)
for pname in experimental worthless discontinued suspended
do
  rm -f $RPM_BUILD_ROOT/etc/grid-security/certificates/policy-igtf-$pname.info || true
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf.info


%package classic
Summary: Classic X.509 CA collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_AIST = 1.25, ca_SlovakGrid = 1.25, ca_BG-ACAD-CA = 1.25, ca_RDIG = 1.25, ca_DFN-GridGermany-Root = 1.25, ca_BalticGrid = 1.25, ca_SwissSign-Silver = 1.25, ca_REUNA-ca = 1.25, ca_SRCE = 1.25, ca_DFN-GridGermany-Server = 1.25, ca_DOEGrids = 1.25, ca_IRAN-GRID = 1.25, ca_ASGCCA-2007 = 1.25, ca_UNAMgrid-ca = 1.25, ca_SWITCHgrid-Root = 1.25, ca_BrGrid = 1.25, ca_PK-Grid-2007 = 1.25, ca_SwissSign-Bronze = 1.25, ca_RMKI = 1.25, ca_NECTEC = 1.25, ca_SWITCH-Personal-2007 = 1.25, ca_CNRS = 1.25, ca_UKeScienceCA-2007 = 1.25, ca_LIPCA = 1.25, ca_SDG = 1.25, ca_SWITCH-Server-2007 = 1.25, ca_NIIF = 1.25, ca_MaGrid = 1.25, ca_KISTI-2007 = 1.25, ca_CERN-TCA = 1.25, ca_IUCC = 1.25, ca_INFN-CA-2006 = 1.25, ca_ArmeSFo = 1.25, ca_HellasGrid-Root = 1.25, ca_SiGNET-CA = 1.25, ca_IHEP = 1.25, ca_pkIRISGrid = 1.25, ca_CNRS-Grid-FR = 1.25, ca_MREN-CA = 1.25, ca_BEGrid = 1.25, ca_HellasGrid-CA-2006 = 1.25, ca_CNIC = 1.25, ca_KEK = 1.25, ca_AustrianGrid = 1.25, ca_MARGI = 1.25, ca_NGO-Netrust = 1.25, ca_NAREGI = 1.25, ca_LACGridCA = 1.25, ca_APAC = 1.25, ca_DFN-GridGermany-User = 1.25, ca_PRAGMA-UCSD = 1.25, ca_SWITCH = 1.25, ca_GermanGrid = 1.25, ca_NorduGrid = 1.25, ca_EstonianGrid = 1.25, ca_CESNET = 1.25, ca_PK-Grid = 1.25, ca_NCHC = 1.25, ca_ESnet = 1.25, ca_CyGrid = 1.25, ca_AEGIS = 1.25, ca_NIKHEF = 1.25, ca_UNLPGrid = 1.25, ca_Grid-Ireland = 1.25, ca_CERN-Root = 1.25, ca_GridCanada = 1.25, ca_UGRID = 1.25, ca_SEE-GRID = 1.25, ca_PolishGrid = 1.25, ca_RomanianGRID = 1.25, ca_UKeScienceRoot-2007 = 1.25, ca_SwissSign-Root = 1.25, ca_TRGrid = 1.25, ca_CNRS-Projets = 1.25
Obsoletes: ca_CyGrid-old ca_CNRS-DataGrid ca_CESNET-old ca_SwissSign-Silver-Root ca_SWITCH-Personal2 ca_SWITCH-CA2 ca_SWITCH-Server2 ca_KISTI ca_Russia ca_SWITCH-Server ca_SWITCH-Personal ca_LIP ca_GridCanada-old ca_UKeScience ca_HellasGrid ca_INFN ca_Spain ca_SiGNET ca_CERN ca_SWITCH-Personal-2006 ca_SWITCH-Server-2006 ca_ASGCCA ca_UKeScienceRoot ca_UKeScienceCA 


%description classic
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "classic" 
X.509 Certification Authorities with Secured Infrastructure Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "classic" profile.
Refer to the IGTF web site for the classic authentication profile.

%files classic
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-classic.info



%package slcs
Summary: Short-lived Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_NCSA-slcs = 1.25, ca_SWITCHslcs = 1.25

%description slcs
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "slcs"
Short-lived Credential Generation Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "slcs" profile.
Refer to the IGTF web site for the slcs authentication profile.

%files slcs
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-slcs.info


%package mics
Summary: Member-Integrated Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_NCSA-mics = 1.25

%description mics
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "mics"
Member-Integrated Credential Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "mics" profile.
Refer to the IGTF web site for the mics authentication profile.

%files mics
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-mics.info

